<?php
require 'consulta_bd.php';
$preferancias = new Preferancias();
//die(var_dump($_POST));
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $manipulado = $_POST['manipulado'] ?? null;
    $varejo = $_POST['varejo'] ?? null;

    try {
        $preferancias->updatepercentual_desconto($manipulado, $varejo);
        header("Location: ./index.php?status=sucesso&tabela=percentual_desconto");
        exit;
    } catch (Exception $e) {
        echo "<p style='color: red;'>Erro ao atualizar: " . $e->getMessage() . "</p>";
    }
}
